Change Phone number

Updates the User's Phone number using the Access Token.

PUT
/identity/v2/auth/phone

Updates the User's Phone number using the Access Token.

Authorization

BearerToken APIKey
AuthorizationBearer <token>

Bearer token for user authentication

In: header

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

smstemplate?string

SMS Template

prevent_webhook?boolean

When true, suppresses webhook events for this operation.

access_token?string

Access Token of the User

isvoiceotp?boolean

Boolean flag to enforce sending SMS content via Voice.

Header Parameters

X-PreventWebhook?boolean

When true, suppresses webhook events for this operation.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

phone*string

The Phone number of the User.

Response Body

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/identity/v2/auth/phone?smstemplate=SMS-Template&prevent_webhook=true&access_token=493318dd-487a-439b-8302-5e27f1110244&isvoiceotp=true" \  -H "X-PreventWebhook: true" \  -H "Content-Type: application/json" \  -d '{    "phone": "+1234567890"  }'
{
  "IsPosted": true,
  "Data": {
    "AccountSid": "ACXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "Sid": "SMXXXXXXXXXXXXXXXX"
  }
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly",
  "Description": "The apikey is a required parameter."
}

{
  "ErrorCode": 901,
  "Message": "The API key is unauthorized",
  "Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}